/*
 * sys/systm.h
 */


#ifndef sys_systm_h
#define sys_systm_h


#include <sys/cdefs.h>
#include <lib.h>
#include <machine/stdarg.h>


#ifndef ASM_FILE


#define printf printk
#define uprintf printk

extern int	seltrue __P((dev_t dev, int which, struct proc *p));
extern int	kvprintf __P((char const *, void (*)(int, void*), void *, int, va_list));
extern inline int copyin __P((const void *udaddr, void *kaddr, size_t len))
{
	memcpy(kaddr, udaddr, len);
	return 0;
}


#endif


#endif
